import { PageResult, PageParams } from './common';

// 问题卷
export interface IssuePaperItem {
  id: number;
  // 科目
  subject: string;
  // 分组序号
  groupNo: number;
  // 状态
  status: string;
  // 准考证号
  examNo: string;
  // 密号
  secretNo: string;
  // 姓名
  name: string;
  // 评卷员
  reviewer: string;
  // 提交时间
  submitTime: string;
  // 问题类型
  issueType: string;
  // 处理人
  handler: string;
  // 处理时间
  handleTime: string;
}
export type IssuePaperListPageRes = PageResult<IssuePaperItem>;

//
export interface IssuePaperListFilter {
  // 科目
  subject: string | null;
  // 分组序号
  groupNo: number | undefined;
  // 问题类型
  issueType: string;
  // 状态
  status: string;
  // 密号
  secretNo: string;
}

export type IssuePaperListPageParam = PageParams<IssuePaperListFilter>;

// 问题卷分类
export interface IssuePaperTypeItem {
  // 编号
  id: number;
  // 考试id
  examId: number;
  // 名称
  name: string;
  // 是否自定义
  custom: boolean;
}

export interface IssuePaperTypeUpdateParam {
  id?: number;
  examId: number;
  name: string;
  custom: boolean;
}
